Lavalite package that provides couponoffer management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/couponoffer`.

    "litecms/couponoffer": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Couponoffer\Providers\CouponofferServiceProvider::class,

And also add it to alias

    'Couponoffer'  => Litecms\Couponoffer\Facades\Couponoffer::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\CouponofferTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Couponoffer\Providers\CouponofferServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Couponoffer\Providers\CouponofferServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Couponoffer\Providers\CouponofferServiceProvider" --tag="view"


## Usage


